Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class Field.Matcher

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.XPathMatcher
            |
            +--org.apache.xerces.impl.xs.identity.Field.Matcher

Enclosing class:
  Field

protected class Field.Matcher
extends XPathMatcher

Field matcher.

Author:
  Andy Clark, IBM

Field Summary
`protected ValueStore` | `fStore` Value store for data values.

Fields inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`DEBUG_ALL, DEBUG_ANY, DEBUG_MATCH, DEBUG_METHODS, DEBUG_METHODS2, DEBUG_METHODS3, DEBUG_STACK, fMatchedString, MATCHED, MATCHED_ATTRIBUTE, MATCHED_DESCENDANT, MATCHED_DESCENDANT_PREVIOUS`

Constructor Summary
`Field.Matcher(Field.XPath xpath, ValueStore store)` Constructs a field matcher.

Method Summary
`protected void` | `handleContent(org.apache.xerces.xs.XSTypeDefinition type, boolean nillable, java.lang.Object actualValue)`
`protected void` | `matched(java.lang.Object actualValue, boolean isNil)` This method is called when the XPath handler matches the XPath expression.

Methods inherited from class org.apache.xerces.impl.xs.identity.XPathMatcher
`endElement, isMatched, startDocumentFragment, startElement, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fStore

    protected ValueStore fStore

  Value store for data values.

Constructor Detail

### Field.Matcher

    public Field.Matcher(Field.XPath xpath,
                         ValueStore store)

  Constructs a field matcher.

Method Detail

### matched

    protected void matched(java.lang.Object actualValue,
                           boolean isNil)

  This method is called when the XPath handler matches the XPath expression.
  Overrides:
    `matched` in class `XPathMatcher`

### handleContent

    protected void handleContent(org.apache.xerces.xs.XSTypeDefinition type,
                                 boolean nillable,
                                 java.lang.Object actualValue)

  Overrides:
    `handleContent` in class `XPathMatcher`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.